/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "gototoolbar.h"

GotoLineToolbar::GotoLineToolbar()
{
  // Create Horizontal Goto Line 'Toolbar'
  GtkAdjustment *spinbutton_adj;
  spinbutton_adj = GTK_ADJUSTMENT(gtk_adjustment_new(1, 1, 99999, 1, 10, 10));
  button_close = gtk_button_new();
  label_goto_line = gtk_label_new("Goto Line: ");
  button_goto_line = gtk_button_new_from_stock("gtk-jump-to");
  image_error = gtk_image_new_from_stock("gtk-dialog-error", GTK_ICON_SIZE_MENU);
  image_close = gtk_image_new_from_stock("gtk-stop", GTK_ICON_SIZE_MENU);
  label_error = gtk_label_new("Line out of bounds!");  
  goto_line = gtk_spin_button_new(spinbutton_adj, 1, 0);
  hbox = gtk_hbox_new(false, 0);

  // Create the buttons
  gtk_button_set_relief(GTK_BUTTON(button_close), GTK_RELIEF_NONE);
  gtk_container_add(GTK_CONTAINER(button_close), image_close);
  gtk_button_set_relief(GTK_BUTTON(button_goto_line), GTK_RELIEF_NONE);
  
  // Add the widgets to the horizontal box
  gtk_box_set_spacing(GTK_BOX(hbox), 5);
  gtk_container_set_border_width(GTK_CONTAINER(hbox), 3);
  gtk_box_pack_start(GTK_BOX(hbox), button_close, false, false, 0);
  gtk_box_pack_start(GTK_BOX(hbox), label_goto_line, false, false, 0);
  gtk_box_pack_start(GTK_BOX(hbox), goto_line, false, false, 0);
  gtk_box_pack_start(GTK_BOX(hbox), button_goto_line, false, false, 5);
  gtk_box_pack_start(GTK_BOX(hbox), image_error, false, false, 0);
  gtk_box_pack_start(GTK_BOX(hbox), label_error, false, false, 0);
}
  
void GotoLineToolbar::show_error (bool show)
{
  if (show)
  {
    gtk_widget_show(label_error);
    gtk_widget_show(image_error);
  }
  else
  {
    gtk_widget_hide(label_error);
    gtk_widget_hide(image_error);
  }
}

GtkWidget* GotoLineToolbar::get_close()
{ return button_close;
}

GtkWidget* GotoLineToolbar::get_goto()
{ return button_goto_line;
}

GtkWidget* GotoLineToolbar::get_hbox()
{ return hbox;
}

int GotoLineToolbar::get_goto_value()
{ return gtk_spin_button_get_value_as_int(GTK_SPIN_BUTTON(goto_line));
}
