/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "inputdialog.h"

// Default constructor of the InputDialog class that receives the label to
// ask of the user and the title of the dialog box.
InputDialog::InputDialog (string label_text, 
                          string title)
{
  dialog = gtk_dialog_new ();
  cancel = gtk_button_new_from_stock ("gtk-cancel");
  ok = gtk_button_new_from_stock ("gtk-ok");
  label = gtk_label_new (label_text.c_str());
  entry = gtk_entry_new ();
  hbox = gtk_hbox_new (false, 0);
  
  GTK_WIDGET_SET_FLAGS (ok, GTK_CAN_DEFAULT);
  gtk_container_set_border_width (GTK_CONTAINER(hbox), 10);
  gtk_box_set_spacing (GTK_BOX(hbox), 10);
  gtk_box_pack_start(GTK_BOX(hbox), label, false, false, 0);
  gtk_box_pack_start(GTK_BOX(hbox), entry, false, true, 0);

  gtk_box_pack_start (GTK_BOX(GTK_DIALOG(dialog)->vbox),
                      hbox, TRUE, TRUE, 0);
  gtk_window_set_title (GTK_WINDOW(dialog), title.c_str());
  gtk_window_set_modal (GTK_WINDOW(dialog), false);
  gtk_window_set_resizable (GTK_WINDOW(dialog), false);
  gtk_dialog_set_has_separator (GTK_DIALOG(dialog), true);
  gtk_dialog_add_action_widget (GTK_DIALOG(dialog), cancel, -6);
  gtk_dialog_add_action_widget (GTK_DIALOG(dialog), ok, -5);

  gtk_widget_show_all(dialog);
}

// Return the text specified by the user
string InputDialog::get_entry_text()
{ return string(gtk_entry_get_text(GTK_ENTRY(entry)));
}

GtkWidget* InputDialog::get_dialog()
{ return dialog;
}
