/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef NEW_FILE_H
#define NEW_FILE_H

#include "project.h"

#include <cstdio>
#include <gtk/gtk.h>
#include <glade/glade.h>
#include <sys/stat.h>

// New file/project class
class NewFileDialog
{
public:
  NewFileDialog (ProjectSettings*);

  GtkWidget* get_dialog();
  void initialize_objects();
  void populate_combobox();
  bool get_add_to_project();
  string get_filename();

private:
  GtkWidget *dialog, *cancel, *apply, *name, *combobox, *checkbutton;
  string file_location;

private:
  friend void on_cancel (GtkWidget*, gpointer);
  friend void on_apply  (GtkWidget*, gpointer);
};

#endif
